;
;	Define project here
;
;

.686
.Model Flat, stdcall
Option Casemap:NONE

WinMain PROTO :DWORD,:DWORD,:DWORD,:DWORD

Include Asteroid.inc


.CODE

Start:
;-----
	Invoke GetModuleHandle, NULL
	MOV hInstance,EAX
	Invoke GetCommandLine
	Invoke WinMain, hInstance,NULL, CommandLine, SW_SHOWDEFAULT
	Invoke ExitProcess,EAX
	
WinMain Proc hInst:HINSTANCE,hPrevInst:HINSTANCE,CmdLine:LPSTR,CmdShow:DWORD
Local wc:WNDCLASSEX
Local msg:MSG
Local hwnd:HWND

	MOV wc.cbSize,SizeOf WNDCLASSEX
	MOV wc.style, CS_HREDRAW or CS_VREDRAW
	MOV wc.lpfnWndProc, Offset WndProc
	MOV wc.cbClsExtra,NULL
	MOV wc.cbWndExtra,NULL
	PUSH hInst
	POP wc.hInstance
	MOV wc.hbrBackground,COLOR_WINDOW+1
	MOV wc.lpszMenuName,Offset MenuName
	MOV wc.lpszClassName,Offset ClassName
	Invoke LoadIcon,NULL,IDI_APPLICATION
	MOV wc.hIcon,EAX
	MOV wc.hIconSm,EAX
	Invoke LoadCursor,NULL,IDC_ARROW
	MOV wc.hCursor,EAX
	Invoke RegisterClassEx, addr wc
	Invoke CreateWindowEx,NULL,ADDR ClassName,ADDR AppName,\
           WS_OVERLAPPEDWINDOW,CW_USEDEFAULT,\
           CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,NULL,NULL,\
           hInst,NULL
	MOV hwnd,EAX
	Invoke ShowWindow, hwnd,SW_SHOWNORMAL
	Invoke UpdateWindow, hwnd
	.While TRUE
		Invoke GetMessage, ADDR msg,NULL,0,0
		.Break .If (!EAX)
		Invoke DispatchMessage, ADDR msg
	.EndW
	MOV EAX, msg.wParam
	RET
WinMain endp

WndProc Proc hWnd:HWND, uMsg:UINT, wParam:WPARAM, lParam:LPARAM
	.If uMsg==WM_DESTROY
		Invoke PostQuitMessage,NULL
	.ElseIf uMsg==WM_COMMAND
		MOV EAX,wParam
		.If AX==IDM_PROCESS
			Invoke Process
		.ElseIf AX==IDM_MANUAL
			Invoke MessageBox, NULL,ADDR Manual_string, Offset AppName,MB_OK
		.ElseIf AX==IDM_PLANET
			Invoke MessageBox,NULL,ADDR Planet_string, Offset AppName, MB_OK
		.Else
			Invoke DestroyWindow,hWnd
		.EndIf
	.Else
		Invoke DefWindowProc,hWnd,uMsg,wParam,lParam
		RET
	.EndIf
	XOR EAX,EAX
	RET
WndProc EndP

End Start

Process proc

INVOKE Openfiles

	Ret
Process EndP

Openfiles proc

; open files astorbfile, astrohotF, astrohotN, Linklistsave

	mov ofn1.lStructSize, SIZEOF ofn1
	push	hWnd
	pop		ofn1.hWndOwner
	push	hInstance
	pop		ofn1.hInstance
	mov		ofn1.lpstrFilter, OFFSET Filterstring
	mov		ofn1.lpstrFile, OFFSET data_buffer
	mov		ofn1.nMaxFile, MAXSIZE
	mov		ofn1.Flags, OFN_FILEMUSTEXIST or\
			OFN_PATHMUSTEXIST or OFN_LONGNAMES or\
			OFN_READONLY
	MOV		ofn1.lpstrTitle, OFFSET OurTitle
	mov		ofn1.nFileOffset, 24
	
	Ret
Openfiles EndP